###

###

###

###

###

###

###

    FGETPWENT(3)        Linux Programmer's Manual        FGETPWENT(3)

    NAME
           fgetpwent - get password file entry

    SYNOPSIS
           #include <pwd.h>
           #include <stdio.h>
           #include <sys/types.h>

           struct passwd *fgetpwent(FILE *stream);

    DESCRIPTION
           The  fgetpwent() function returns a pointer to a structure
           containing the broken out fields of a  line  in  the  file
           stream.   The first time it is called it returns the first
           entry; thereafter, it  returns  successive  entries.   The
           file stream must have the same format as /etc/passwd.

           The passwd structure is defined in <pwd.h> as follows:

                  struct passwd {
                          char    *pw_name;       /* user name */
                          char    *pw_passwd;     /* user password */
                          uid_t   pw_uid;         /* user id */
                          gid_t   pw_gid;         /* group id */
                          char    *pw_gecos;      /* real name */
                          char    *pw_dir;        /* home directory */
                          char    *pw_shell;      /* shell program */
                  };

    RETURN VALUE
           The  fgetpwent() function returns the passwd structure, or
           NULL if there are no more entries or an error occurs.

    ERRORS
           ENOMEM Insufficient memory to allocate passwd structure.

    CONFORMING TO
           SVID 3

### SEE ALSO

getpwnam, getpwuid, getpwent, setpwent, getpw, putpwent,

###

    GNU                       April 9, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0